<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
    <head>
        <!-- Generated by javadoc -->
        <title>XDGFXMLDocumentPart (POI API Documentation)</title>
        <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
        <script type="text/javascript" src="../../../../../script.js"></script>
    </head>
    <body>
        <script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="XDGFXMLDocumentPart (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->

        </script>
        <noscript>
            <div>JavaScript is disabled on your browser.</div>
        </noscript>
        <!-- ========= START OF TOP NAVBAR ======= -->
        <div class="topNav">
            <a name="navbar.top">
                <!--   -->
            </a>
            <div class="skipNav">
                <a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a>
            </div>
            <a name="navbar.top.firstrow">
                <!--   -->
            </a>
            <ul class="navList" title="Navigation">
                <li>
                    <a href="../../../../../overview-summary.html">Overview</a>
                </li>
                <li>
                    <a href="package-summary.html">Package</a>
                </li>
                <li class="navBarCell1Rev">Class</li>
                <li>
                    <a href="class-use/XDGFXMLDocumentPart.html">Use</a>
                </li>
                <li>
                    <a href="package-tree.html">Tree</a>
                </li>
                <li>
                    <a href="../../../../../deprecated-list.html">Deprecated</a>
                </li>
                <li>
                    <a href="../../../../../index-all.html">Index</a>
                </li>
                <li>
                    <a href="../../../../../help-doc.html">Help</a>
                </li>
            </ul>
        </div>
        <div class="subNav">
            <ul class="navList">
                <li>Prev&nbsp;Class</li>
                <li>Next&nbsp;Class</li>
            </ul>
            <ul class="navList">
                <li>
                    <a href="../../../../../index.html?org/apache/poi/xdgf/xml/XDGFXMLDocumentPart.html" target="_top">
                        Frames
                    </a>
                </li>
                <li>
                    <a href="XDGFXMLDocumentPart.html" target="_top">No&nbsp;Frames</a>
                </li>
            </ul>
            <ul class="navList" id="allclasses_navbar_top">
                <li>
                    <a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a>
                </li>
            </ul>
            <div>
                <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

                </script>
            </div>
            <div>
                <ul class="subNavList">
                    <li>Summary:&nbsp;</li>
                    <li><a href="#nested.classes.inherited.from.class.org.apache.poi.ooxml.POIXMLDocumentPart">
                        Nested</a>&nbsp;|&nbsp;
                    </li>
                    <li><a href="#field.summary">Field</a>&nbsp;|&nbsp;
                    </li>
                    <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;
                    </li>
                    <li>
                        <a href="#methods.inherited.from.class.org.apache.poi.ooxml.POIXMLDocumentPart">Method</a>
                    </li>
                </ul>
                <ul class="subNavList">
                    <li>Detail:&nbsp;</li>
                    <li><a href="#field.detail">Field</a>&nbsp;|&nbsp;
                    </li>
                    <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;
                    </li>
                    <li>Method</li>
                </ul>
            </div>
            <a name="skip.navbar.top">
                <!--   -->
            </a>
        </div>
        <!-- ========= END OF TOP NAVBAR ========= -->
        <!-- ======== START OF CLASS DATA ======== -->
        <div class="header">
            <div class="subTitle">org.apache.poi.xdgf.xml</div>
            <h2 title="Class XDGFXMLDocumentPart" class="title">Class XDGFXMLDocumentPart</h2>
        </div>
        <div class="contentContainer">
            <ul class="inheritance">
                <li>java.lang.Object</li>
                <li>
                    <ul class="inheritance">
                        <li>
                            <a href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html"
                               title="class in org.apache.poi.ooxml">org.apache.poi.ooxml.POIXMLDocumentPart
                            </a>
                        </li>
                        <li>
                            <ul class="inheritance">
                                <li>org.apache.poi.xdgf.xml.XDGFXMLDocumentPart</li>
                            </ul>
                        </li>
                    </ul>
                </li>
            </ul>
            <div class="description">
                <ul class="blockList">
                    <li class="blockList">
                        <dl>
                            <dt>Direct Known Subclasses:</dt>
                            <dd><a href="../../../../../org/apache/poi/xdgf/usermodel/XDGFBaseContents.html"
                                   title="class in org.apache.poi.xdgf.usermodel">XDGFBaseContents</a>,<a
                                    href="../../../../../org/apache/poi/xdgf/usermodel/XDGFMasters.html"
                                    title="class in org.apache.poi.xdgf.usermodel">XDGFMasters</a>,
                                <a href="../../../../../org/apache/poi/xdgf/usermodel/XDGFPages.html"
                                   title="class in org.apache.poi.xdgf.usermodel">XDGFPages
                                </a>
                            </dd>
                        </dl>
                        <hr>
                        <br>
                        <pre>public class
                            <span class="typeNameLabel">XDGFXMLDocumentPart</span>
                            extends
                            <a href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html"
                               title="class in org.apache.poi.ooxml">POIXMLDocumentPart
                            </a>
                        </pre>
                    </li>
                </ul>
            </div>
            <div class="summary">
                <ul class="blockList">
                    <li class="blockList">
                        <!-- ======== NESTED CLASS SUMMARY ======== -->
                        <ul class="blockList">
                            <li class="blockList">
                                <a name="nested.class.summary">
                                    <!--   -->
                                </a>
                                <h3>Nested Class Summary</h3>
                                <ul class="blockList">
                                    <li class="blockList">
                                        <a name="nested.classes.inherited.from.class.org.apache.poi.ooxml.POIXMLDocumentPart">
                                            <!--   -->
                                        </a>
                                        <h3>Nested classes/interfaces inherited from class&nbsp;org.apache.poi.ooxml.
                                            <a href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html"
                                               title="class in org.apache.poi.ooxml">POIXMLDocumentPart
                                            </a>
                                        </h3>
                                        <code>
                                            <a href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.RelationPart.html"
                                               title="class in org.apache.poi.ooxml">POIXMLDocumentPart.RelationPart
                                            </a>
                                        </code>
                                    </li>
                                </ul>
                            </li>
                        </ul>
                        <!-- =========== FIELD SUMMARY =========== -->
                        <ul class="blockList">
                            <li class="blockList">
                                <a name="field.summary">
                                    <!--   -->
                                </a>
                                <h3>Field Summary</h3>
                                <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                                       summary="Field Summary table, listing fields, and an explanation">
                                    <caption>
                                        <span>Fields</span>
                                        <span class="tabEnd">&nbsp;</span>
                                    </caption>
                                    <tr>
                                        <th class="colFirst" scope="col">Modifier and Type</th>
                                        <th class="colLast" scope="col">Field and Description</th>
                                    </tr>
                                    <tr class="altColor">
                                        <td class="colFirst">
                                            <code>protected
                                                <a href="../../../../../org/apache/poi/xdgf/usermodel/XDGFDocument.html"
                                                   title="class in org.apache.poi.xdgf.usermodel">XDGFDocument
                                                </a>
                                            </code>
                                        </td>
                                        <td class="colLast">
                                            <code>
                                                <span class="memberNameLink">
                                                    <a href="../../../../../org/apache/poi/xdgf/xml/XDGFXMLDocumentPart.html#Z:Z_document">
                                                        _document
                                                    </a>
                                                </span>
                                            </code>&nbsp;
                                        </td>
                                    </tr>
                                </table>
                            </li>
                        </ul>
                        <!-- ======== CONSTRUCTOR SUMMARY ======== -->
                        <ul class="blockList">
                            <li class="blockList">
                                <a name="constructor.summary">
                                    <!--   -->
                                </a>
                                <h3>Constructor Summary</h3>
                                <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                                       summary="Constructor Summary table, listing constructors, and an explanation">
                                    <caption>
                                        <span>Constructors</span>
                                        <span class="tabEnd">&nbsp;</span>
                                    </caption>
                                    <tr>
                                        <th class="colOne" scope="col">Constructor and Description</th>
                                    </tr>
                                    <tr class="altColor">
                                        <td class="colOne">
                                            <code>
                                                <span class="memberNameLink">
                                                    <a href="../../../../../org/apache/poi/xdgf/xml/XDGFXMLDocumentPart.html#XDGFXMLDocumentPart-org.apache.poi.openxml4j.opc.PackagePart-org.apache.poi.xdgf.usermodel.XDGFDocument-">
                                                        XDGFXMLDocumentPart
                                                    </a>
                                                </span>
                                                (<a href="../../../../../org/apache/poi/openxml4j/opc/PackagePart.html"
                                                    title="class in org.apache.poi.openxml4j.opc">PackagePart</a>&nbsp;part,
                                                <a href="../../../../../org/apache/poi/xdgf/usermodel/XDGFDocument.html"
                                                   title="class in org.apache.poi.xdgf.usermodel">XDGFDocument</a>&nbsp;document)
                                            </code>&nbsp;
                                        </td>
                                    </tr>
                                </table>
                            </li>
                        </ul>
                        <!-- ========== METHOD SUMMARY =========== -->
                        <ul class="blockList">
                            <li class="blockList">
                                <a name="method.summary">
                                    <!--   -->
                                </a>
                                <h3>Method Summary</h3>
                                <ul class="blockList">
                                    <li class="blockList">
                                        <a name="methods.inherited.from.class.org.apache.poi.ooxml.POIXMLDocumentPart">
                                            <!--   -->
                                        </a>
                                        <h3>Methods inherited from class&nbsp;org.apache.poi.ooxml.
                                            <a href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html"
                                               title="class in org.apache.poi.ooxml">POIXMLDocumentPart
                                            </a>
                                        </h3>
                                        <code><a
                                                href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#Z:Z_invokeOnDocumentRead-org.apache.poi.ooxml.POIXMLDocumentPart-">
                                            _invokeOnDocumentRead</a>,<a
                                                href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#addRelation-java.lang.String-org.apache.poi.ooxml.POIXMLRelation-org.apache.poi.ooxml.POIXMLDocumentPart-">
                                            addRelation</a>,<a
                                                href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#commit--">
                                            commit</a>,<a
                                                href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#createRelationship-org.apache.poi.ooxml.POIXMLRelation-org.apache.poi.ooxml.POIXMLFactory-">
                                            createRelationship</a>,<a
                                                href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#createRelationship-org.apache.poi.ooxml.POIXMLRelation-org.apache.poi.ooxml.POIXMLFactory-int-">
                                            createRelationship</a>,<a
                                                href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#createRelationship-org.apache.poi.ooxml.POIXMLRelation-org.apache.poi.ooxml.POIXMLFactory-int-boolean-">
                                            createRelationship</a>,<a
                                                href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#getNextPartNumber-org.apache.poi.ooxml.POIXMLRelation-int-">
                                            getNextPartNumber</a>,<a
                                                href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#getPackagePart--">
                                            getPackagePart</a>,<a
                                                href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#getParent--">
                                            getParent</a>,<a
                                                href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#getRelationById-java.lang.String-">
                                            getRelationById</a>,<a
                                                href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#getRelationId-org.apache.poi.ooxml.POIXMLDocumentPart-">
                                            getRelationId</a>,<a
                                                href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#getRelationPartById-java.lang.String-">
                                            getRelationPartById</a>,<a
                                                href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#getRelationParts--">
                                            getRelationParts</a>,<a
                                                href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#getRelations--">
                                            getRelations</a>,<a
                                                href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#getTargetPart-org.apache.poi.openxml4j.opc.PackageRelationship-">
                                            getTargetPart</a>,<a
                                                href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#isCommited--">
                                            isCommited</a>,<a
                                                href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#onDocumentCreate--">
                                            onDocumentCreate</a>,<a
                                                href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#onDocumentRead--">
                                            onDocumentRead</a>,<a
                                                href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#onDocumentRemove--">
                                            onDocumentRemove</a>,<a
                                                href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#onSave-java.util.Set-">
                                            onSave</a>,<a
                                                href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#prepareForCommit--">
                                            prepareForCommit</a>,<a
                                                href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#read-org.apache.poi.ooxml.POIXMLFactory-java.util.Map-">
                                            read</a>,<a
                                                href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#rebase-org.apache.poi.openxml4j.opc.OPCPackage-">
                                            rebase</a>,<a
                                                href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#removeRelation-org.apache.poi.ooxml.POIXMLDocumentPart-">
                                            removeRelation</a>,<a
                                                href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#removeRelation-org.apache.poi.ooxml.POIXMLDocumentPart-boolean-">
                                            removeRelation</a>,<a
                                                href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#removeRelation-java.lang.String-">
                                            removeRelation</a>,<a
                                                href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#setCommited-boolean-">
                                            setCommited</a>,
                                            <a href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#toString--">
                                                toString
                                            </a>
                                        </code>
                                    </li>
                                </ul>
                                <ul class="blockList">
                                    <li class="blockList">
                                        <a name="methods.inherited.from.class.java.lang.Object">
                                            <!--   -->
                                        </a>
                                        <h3>Methods inherited from class&nbsp;java.lang.Object</h3>
                                        <code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait,
                                            wait, wait
                                        </code>
                                    </li>
                                </ul>
                            </li>
                        </ul>
                    </li>
                </ul>
            </div>
            <div class="details">
                <ul class="blockList">
                    <li class="blockList">
                        <!-- ============ FIELD DETAIL =========== -->
                        <ul class="blockList">
                            <li class="blockList">
                                <a name="field.detail">
                                    <!--   -->
                                </a>
                                <h3>Field Detail</h3>
                                <a name="Z:Z_document">
                                    <!--   -->
                                </a>
                                <ul class="blockListLast">
                                    <li class="blockList">
                                        <h4>_document</h4>
                                        <pre>protected&nbsp;<a
                                                href="../../../../../org/apache/poi/xdgf/usermodel/XDGFDocument.html"
                                                title="class in org.apache.poi.xdgf.usermodel">XDGFDocument
                                        </a>
                                            _document
                                        </pre>
                                    </li>
                                </ul>
                            </li>
                        </ul>
                        <!-- ========= CONSTRUCTOR DETAIL ======== -->
                        <ul class="blockList">
                            <li class="blockList">
                                <a name="constructor.detail">
                                    <!--   -->
                                </a>
                                <h3>Constructor Detail</h3>
                                <a name="XDGFXMLDocumentPart-org.apache.poi.openxml4j.opc.PackagePart-org.apache.poi.xdgf.usermodel.XDGFDocument-">
                                    <!--   -->
                                </a>
                                <ul class="blockListLast">
                                    <li class="blockList">
                                        <h4>XDGFXMLDocumentPart</h4>
                                        <pre>public&nbsp;XDGFXMLDocumentPart(<a
                                                href="../../../../../org/apache/poi/openxml4j/opc/PackagePart.html"
                                                title="class in org.apache.poi.openxml4j.opc">PackagePart</a>&nbsp;part,
                                            <a href="../../../../../org/apache/poi/xdgf/usermodel/XDGFDocument.html"
                                               title="class in org.apache.poi.xdgf.usermodel">XDGFDocument</a>&nbsp;document)
                                        </pre>
                                        <dl>
                                            <dt>
                                                <span class="simpleTagLabel">Since:</span>
                                            </dt>
                                            <dd>POI 3.14-Beta1</dd>
                                        </dl>
                                    </li>
                                </ul>
                            </li>
                        </ul>
                    </li>
                </ul>
            </div>
        </div>
        <!-- ========= END OF CLASS DATA ========= -->
        <!-- ======= START OF BOTTOM NAVBAR ====== -->
        <div class="bottomNav">
            <a name="navbar.bottom">
                <!--   -->
            </a>
            <div class="skipNav">
                <a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a>
            </div>
            <a name="navbar.bottom.firstrow">
                <!--   -->
            </a>
            <ul class="navList" title="Navigation">
                <li>
                    <a href="../../../../../overview-summary.html">Overview</a>
                </li>
                <li>
                    <a href="package-summary.html">Package</a>
                </li>
                <li class="navBarCell1Rev">Class</li>
                <li>
                    <a href="class-use/XDGFXMLDocumentPart.html">Use</a>
                </li>
                <li>
                    <a href="package-tree.html">Tree</a>
                </li>
                <li>
                    <a href="../../../../../deprecated-list.html">Deprecated</a>
                </li>
                <li>
                    <a href="../../../../../index-all.html">Index</a>
                </li>
                <li>
                    <a href="../../../../../help-doc.html">Help</a>
                </li>
            </ul>
        </div>
        <div class="subNav">
            <ul class="navList">
                <li>Prev&nbsp;Class</li>
                <li>Next&nbsp;Class</li>
            </ul>
            <ul class="navList">
                <li>
                    <a href="../../../../../index.html?org/apache/poi/xdgf/xml/XDGFXMLDocumentPart.html" target="_top">
                        Frames
                    </a>
                </li>
                <li>
                    <a href="XDGFXMLDocumentPart.html" target="_top">No&nbsp;Frames</a>
                </li>
            </ul>
            <ul class="navList" id="allclasses_navbar_bottom">
                <li>
                    <a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a>
                </li>
            </ul>
            <div>
                <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

                </script>
            </div>
            <div>
                <ul class="subNavList">
                    <li>Summary:&nbsp;</li>
                    <li><a href="#nested.classes.inherited.from.class.org.apache.poi.ooxml.POIXMLDocumentPart">
                        Nested</a>&nbsp;|&nbsp;
                    </li>
                    <li><a href="#field.summary">Field</a>&nbsp;|&nbsp;
                    </li>
                    <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;
                    </li>
                    <li>
                        <a href="#methods.inherited.from.class.org.apache.poi.ooxml.POIXMLDocumentPart">Method</a>
                    </li>
                </ul>
                <ul class="subNavList">
                    <li>Detail:&nbsp;</li>
                    <li><a href="#field.detail">Field</a>&nbsp;|&nbsp;
                    </li>
                    <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;
                    </li>
                    <li>Method</li>
                </ul>
            </div>
            <a name="skip.navbar.bottom">
                <!--   -->
            </a>
        </div>
        <!-- ======== END OF BOTTOM NAVBAR ======= -->
        <p class="legalCopy">
            <small>
                <i>Copyright 2018 The Apache Software Foundation or
                    its licensors, as applicable.
                </i>
            </small>
        </p>
    </body>
</html>
